#!/bin/bash

p310c="p310c_print -d /dev/lp0 -k /dev/ttyS0,57600 -S1 -E on"
if ! echo $PATH | grep -q "/usr/local/bin"; then
	export PATH=$PATH:/usr/local/bin
fi

if [ "$1" == "" -o "$2" == "" ]; then
	p310c_csvmod $1 $2
	exit $?
fi

if [ ! -f "$1" -o ! -f "$2" ]; then
	p310c_csvmod $1 $2
	exit $?
fi

init="on" 
for i in $(p310c_csvmod $1 $2); do
	if ! $p310c -c $i -N $init; then
		init="on" 
		read key
	else
		init="off" 
	fi 
done
